Skip to main content
`Ctrl`+`K`

# scipy.special.zetac

scipy.special.zetac(x, out=None) = <ufunc 'zetac'>

  Riemann zeta function minus 1.

  This function is defined as

  \[\begin{split}\\zeta(x) = \\sum_{k=2}^{\\infty} 1 / k^x,\end{split}\]

  where `x > 1`. For `x < 1` the analytic continuation is computed. For more information on the Riemann zeta function, see [dlmf].

  Parameters:
    x array_like of float

      Values at which to compute zeta(x) - 1 (must be real).

    out ndarray, optional

      Optional output array for the function results

  Returns:
    scalar or ndarray

      Values of zeta(x) - 1.

  See also

  `zeta`

  References

  [dlmf]

  NIST Digital Library of Mathematical Functions https://dlmf.nist.gov/25

  Examples

      >>> import numpy as np
      >>> from scipy.special import zetac, zeta

  Some special values:

      >>> zetac(2), np.pi**2/6 - 1
      (0.64493406684822641, 0.6449340668482264)

      >>> zetac(-1), -1.0/12 - 1
      (-1.0833333333333333, -1.0833333333333333)

  Compare `zetac(x)` to `zeta(x) - 1` for large x:

      >>> zetac(60), zeta(60) - 1
      (8.673617380119933e-19, 0.0)